Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd.text
Class ScrpSTElement

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd.text.ScrpSTElement

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ScrpSTElement
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

This class maps the ScrpSTElement record of the TextToolbox. ScrpSTElement are used as part of the TextDescription

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`ScrpSTElement()` This constructor makes a new ScrpSTElement object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`int` | `getAscent()`
`QDColor` | `getColor()`
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`int` | `getFace()`
`int` | `getFont()`
`int` | `getHeight()`
`int` | `getScriptSize()`
`int` | `getStartChar()`
`void` | `setAscent(int ascent)`
`void` | `setColor(QDColor color)`
`void` | `setFace(int face)`
`void` | `setFont(int font)`
`void` | `setHeight(int height)`
`void` | `setScriptSize(int size)`
`void` | `setStartChar(int startChar)`
`java.lang.String` | `toString()` Return a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ScrpSTElement

    public ScrpSTElement()

  This constructor makes a new ScrpSTElement object.

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.

### setColor

    public void setColor(QDColor color)

### getColor

    public QDColor getColor()

### setScriptSize

    public void setScriptSize(int size)

### getScriptSize

    public int getScriptSize()

### setFace

    public void setFace(int face)

### getFace

    public int getFace()

### setFont

    public void setFont(int font)

### getFont

    public int getFont()

### setAscent

    public void setAscent(int ascent)

### getAscent

    public int getAscent()

### setHeight

    public void setHeight(int height)

### getHeight

    public int getHeight()

### setStartChar

    public void setStartChar(int startChar)

### getStartChar

    public int getStartChar()

### toString

    public java.lang.String toString()

  Return a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD